import "server-only";
import type { ReactElement } from "react";
export type Config = {
	themes: {
		light: string;
		dark: string;
	};
	selectors: "system" | {
		light: string;
		dark: string;
	};
};
export declare let config: Config;
export declare function updateConfig(newConfig: Config): void;
export type CodeProps = {
	lang: string;
	children?: string;
	code?: string;
	theme?: "light" | "dark";
	className?: string;
};
export declare function Code({ lang, children, code, theme, className }: CodeProps): Promise<ReactElement>;
export type MDXCodeProps = {
	children: ReactElement<{
		children: string;
		className: string;
	}>;
	className?: string;
};
/**
* A component that can be used to highlight code
*
* This component is meant to be used as a drop-in
* for transformed MDX code blocks, usually in conjunction
* with the `rehype-mdx-code-props` rehype plugin.
*
* See here for an example: @TODO
*/
export declare function MDXCode(props: MDXCodeProps): Promise<ReactElement>;
